<?php
namespace Ak\Woo\User\Form\Element;

use Ak\Form\Element\Checkbox;

/**
 * Ako je ovo označeno prilikom registracije, korisnik će biti automatski
 * pretplaćen na newsletter.
 *
 * @package Ak\Woo\User\Form\Element
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/woo-user
 */
class NewsletterSignupCheckbox extends Checkbox
{
    /** @var string */
    protected $label = 'Da, želim primati newsletter obavijesti';
    /** @var bool */
    protected $useHiddenElement = false;
    /** @var string */
    protected $value = '1';

    public function __construct($name = null, array $options = [])
    {
        parent::__construct($name, $options);
        $this->label = __('Da, želim primati newsletter obavijesti', 'woo-user');
    }

    /**
     * @return array
     */
    public function getInputSpecification()
    {
        return [
            'name' => $this->getName(),
            'required' => false,
        ];
    }
}