<?php
namespace Ak\Woo\User\Form\Element;

use Ak\Form\Element\Checkbox;
use Ak\Woo\User\Validator\TosAccept as TosAcceptValidator;

/**
 * Omogućava korisniku da prihvati uvjete korištenja.
 *
 * @package Ak\Woo\User\Form\Element
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/woo-user
 */
class TosAcceptCheckbox extends Checkbox
{
    /** @var string */
    protected $label = 'Prihvaćam uvjete poslovanja i odredbu o zaštiti osobnih podataka';
    /** @var bool */
    protected $useHiddenElement = false;

    public function __construct($name = null, array $options = [])
    {
        parent::__construct($name, $options);
        $this->label = __('Prihvaćam uvjete poslovanja i odredbu o zaštiti osobnih podataka', 'woo-user');
    }

    /**
     * Vraća specifikaciju za input filter.
     *
     * @return array
     */
    public function getInputSpecification()
    {
        return [
            'name' => $this->getName(),
            'required' => true,
            'validators' => [[
                'name' => TosAcceptValidator::class,
            ]],
        ];
    }
}