<?php
namespace AkTest\Woo\User\Form;

use Ak\Test\AbstractTestCase;
use Ak\Test\FormTestTrait;
use Ak\Woo\User\Form\Element\NewsletterSignupCheckbox;
use Ak\Woo\User\Form\Element\TosAcceptCheckbox;
use Ak\Woo\User\Form\RegistrationForm;
use AkTest\Woo\User\TestConfigProvider;

/**
 * Class RegistrationFormTest
 *
 * @package AkTest\Woo\User\Form
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/form
 */
class RegistrationFormTest extends AbstractTestCase
{
    use FormTestTrait;

    public $configProviders = [
        TestConfigProvider::class,
    ];

    public function testIsRegistered()
    {
        $formElements = $this->getFormElementManager();

        $this->assertTrue($formElements->has(RegistrationForm::class));
        $this->assertInstanceOf(RegistrationForm::class, $formElements->get(RegistrationForm::class));
    }

    public function testHasTosAcceptField()
    {
        $form = $this->getForm(RegistrationForm::class);

        $this->assertTrue($form->has('tos_accept'));
        $this->assertInstanceOf(TosAcceptCheckbox::class, $form->get('tos_accept'));
    }

    public function testHasNewsletterSignupField()
    {
        $form = $this->getForm(RegistrationForm::class);

        $this->assertTrue($form->has('newsletter'));
        $this->assertInstanceOf(NewsletterSignupCheckbox::class, $form->get('newsletter'));
    }
}