<?php
namespace AkTest\Woo\User\Plugin;

use Ak\Wp\Plugin\PluginManager;
use Ak\Wp\Test\AbstractTestCase;
use Ak\Woo\User\Plugin\Registration;
use AkTest\Woo\User\TestConfigProvider;

/**
 * Class RegistrationTest
 *
 * @package AkTest\Woo\User\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/woo-user
 */
class RegistrationTest extends AbstractTestCase
{
    public $configProviders = [
        TestConfigProvider::class,
    ];

    protected $wpPlugins = [
        'woocommerce/woocommerce.php',
    ];

    public function testIsRegistered()
    {
        $container = $this->getContainer();
        /** @var PluginManager $plugins */
        $plugins = $container->get(PluginManager::class);

        $this->assertTrue($plugins->has(Registration::class));
        $this->assertTrue($plugins->has('woo.user.registration'));

        $plugin = $plugins->get(Registration::class);

        $this->assertInstanceOf(Registration::class, $plugin);
        $this->assertSame($plugin, $plugins->get('woo.user.registration'));
    }
}