<?php
namespace AkTest\Woo\User\Validator;

use Ak\Test\AbstractTestCase;
use Ak\Test\ValidatorTestTrait;
use Ak\Woo\User\Validator\TosAccept;
use AkTest\Woo\User\TestConfigProvider;

class TosAcceptTest extends AbstractTestCase
{
    use ValidatorTestTrait;

    public $configProviders = [
        TestConfigProvider::class,
    ];

    public function testIsRegistered()
    {
        $validators = $this->getValidatorManager();

        $this->assertTrue($validators->has(TosAccept::class));
        $this->assertInstanceOf(TosAccept::class, $validators->get(TosAccept::class));
    }

    public function testCorrectMessageIsUsed()
    {
        $validator = $this->getValidator(TosAccept::class);

        $validator->isValid('');
        $message = $validator->getMessages()[TosAccept::IS_EMPTY];

        $this->assertContains('prihvati', $message);
        $this->assertContains('uvjet', $message);
    }
}