<?php
namespace AkTest\Woo\User;

define('ABSPATH', dirname(__DIR__) . '/wordpress/');

$config = (new TestConfigProvider())();
$dbConfig = $config['db']['adapters']['db.adapter.mysql'];

define('DB_USER', $dbConfig['username']);
define('DB_PASSWORD', $dbConfig['password']);
define('DB_NAME', $dbConfig['database']);
define('DB_HOST', $dbConfig['hostname']);

/**
 * Used to set up and fix common variables and include
 * the WordPress procedural and class library.
 *
 * Allows for some configuration in wp-config.php (see default-constants.php)
 *
 * @package WordPress
 */

/**
 * Stores the location of the WordPress directory of functions, classes, and core content.
 *
 * @since 1.0.0
 */
define( 'WPINC', 'wp-includes' );

// Include files required for initialization.
require( ABSPATH . WPINC . '/load.php' );
require( ABSPATH . WPINC . '/default-constants.php' );
require_once( ABSPATH . WPINC . '/plugin.php' );


// Set initial default constants including WP_MEMORY_LIMIT, WP_MAX_MEMORY_LIMIT, WP_DEBUG, SCRIPT_DEBUG, WP_CONTENT_DIR and WP_CACHE.
wp_initial_constants();

// Define WP_LANG_DIR if not set.
wp_set_lang_dir();

require( ABSPATH . WPINC . '/functions.php' );

// Include the wpdb class and, if present, a db.php database drop-in.
/** @noinspection PhpUnusedLocalVariableInspection */
global $wpdb;
require_wp_db();

// Start the WordPress object cache, or an external object cache if the drop-in is present.
wp_start_object_cache();
